DevelopersAPIReferencescenarios
ChangeEvents
Takes the whole desired change-event map (keyed by change-event id) and diffs it against the stored rows: new keys are created, changed entries updated…
POST
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidid*stringRow uuid
Format
uuidapplication/json- body
changeEvents*The scenario's change events after the diff
application/json- response
[index: integer]?curl -X POST 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/scenarios/497f6eca-6276-4993-bfeb-53cbbbba6f08/changeEvents' \ -H 'Content-Type: application/json' \ -d '{ "changeEvents": { "property1": { "name": "string", "categoryId": "string", "startMonth": "string", "active": true }, "property2": { "name": "string", "categoryId": "string", "startMonth": "string", "active": true } }}'Example Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "scenarioId": "e28e2f4c-7202-4457-b0d8-c4c537f7bff6", "firestoreId": "string", "name": "string", "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0", "startMonth": "string", "ongoingBase": "string", "ongoingPercentageChangePerYear": -140737488355328, "oneTime": "string", "active": true }]